Subject: Re: Ethernet not working on a different SoC with same eth HW

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Nov 2016 14:57:52 +0100

> Considering the ethernet DT bindings:
> 
> https://www.kernel.org/doc/Documentation/devicetree/bindings/net/ethernet.txt
> 
> Specifically, phy-mode values "rgmii", "rgmii-id", "rgmii-rxid", "rgmii-txid".
> 
> Assuming that "rxid" (rx internal delay) and "rx clock delay" are
> in fact the same concept with different names, do you agree that
> it would be unexpected for "rgmii rx clock delay" to be enabled
> when a DTB specifies "rgmii" or "rgmii-txid" ?

I agree with you. But fixing it is likely to break boards which
currently have "rgmii", but actually need the delay in order to work.

	  Andrew